/* $Id: irplib_polynomial.h,v 1.6 2009/05/12 11:10:50 llundin Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2007 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2009/05/12 11:10:50 $
 * $Revision: 1.6 $
 * $Name: vimosp-2_6_0 $
 */

#ifndef IRPLIB_POLYNOMIAL_H
#define IRPLIB_POLYNOMIAL_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
                              Function prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code irplib_polynomial_add(cpl_polynomial *,
                                     const cpl_polynomial *,
                                     const cpl_polynomial *);

cpl_error_code irplib_polynomial_subtract(cpl_polynomial *,
                                          const cpl_polynomial *,
                                          const cpl_polynomial *);

cpl_error_code irplib_polynomial_multiply_scalar(cpl_polynomial *, double);

cpl_error_code irplib_polynomial_solve_1d_all(const cpl_polynomial *,
                                              cpl_vector *, int *);

#endif
