/* $Id: irplib_filter-test.c,v 1.29 2009/10/27 11:58:33 llundin Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

/*-----------------------------------------------------------------------------
                                Includes
 -----------------------------------------------------------------------------*/

#include <irplib_filter.h>


/*-----------------------------------------------------------------------------
                                Private function prototypes
 -----------------------------------------------------------------------------*/

static void irplib_image_filter_background_line_test(void);


/*----------------------------------------------------------------------------*/
/**
   @brief   Unit tests of filter module
**/
/*----------------------------------------------------------------------------*/
int main(void)
{
    cpl_test_init(PACKAGE_BUGREPORT, CPL_MSG_WARNING);

    irplib_image_filter_background_line_test();

    return cpl_test_end(0);
}


/*----------------------------------------------------------------------------*/
/**
   @brief   Unit tests of irplib_image_filter_background_line_test()
   @see irplib_image_filter_background_line_test()

**/
/*----------------------------------------------------------------------------*/
static void irplib_image_filter_background_line_test(void)
{

    cpl_error_code error;
    cpl_image * one = cpl_image_new(2, 2, CPL_TYPE_FLOAT);
    cpl_image * two = cpl_image_new(2, 2, CPL_TYPE_INT);

    error = irplib_image_filter_background_line(NULL, two, 0, CPL_FALSE);
    cpl_test_error(CPL_ERROR_NULL_INPUT);
    cpl_test_eq(error, CPL_ERROR_NULL_INPUT);

    error = irplib_image_filter_background_line(one, two, -1, CPL_FALSE);
    cpl_test_error(CPL_ERROR_ILLEGAL_INPUT);
    cpl_test_eq(error, CPL_ERROR_ILLEGAL_INPUT);

    cpl_image_delete(one);
    cpl_image_delete(two);

    return;

}
